<!doctype html>
<html>
<head>
    <title>Tor Browser 6.0a5 is released | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Browser 6.0a5 is released | Tor Project">
    <meta property="og:description" content="A new alpha Tor Browser release is available for download in the 6.0a5 distribution directory...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-browser-60a5-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Browser 6.0a5 is released
      </h1>
    <p class="meta">by boklm | April 28, 2016</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>A new alpha Tor Browser release is available for download in the <a href="https://dist.torproject.org/torbrowser/6.0a5/" rel="nofollow">6.0a5 distribution directory</a> and on the <a href="https://www.torproject.org/projects/torbrowser.html.en#downloads-alpha" rel="nofollow">alpha download page</a>.</p>

<p>This release features important <a href="https://www.mozilla.org/en-US/security/known-vulnerabilities/firefox-esr/#firefoxesr45.1" rel="nofollow">security updates</a> to Firefox.</p>

<p>This will probably be our last alpha release before the stable 6.0 and it contains a bunch of noteworthy changes.</p>

<p>First, we switched the browser to Firefox ESR 45 and rebased our old patches/wrote new ones where necessary.</p>

<p>Second, we ship a new Tor alpha version, 0.2.8.2, which makes meek usable again and contains a number of other improvements/stability fixes.</p>

<p>Third, this alpha release introduces code signing for OS X in order to cope with Gatekeeper, the OS X mechanism for allowing only authorized applications to run. There were bundle <a href="https://trac.torproject.org/projects/tor/ticket/13252" rel="nofollow">layout changes necessary</a> to adhere to code signing requirements. Please test that everything is still working as expected if you happen to have an OS X machine. We <a href="https://trac.torproject.org/projects/tor/ticket/18915" rel="nofollow">plan</a> to post instructions for removing the code signing parts on our website soon. This should make it easier to compare the bundles we build with the actual bundles we ship.</p>

<p>The fourth highlight is the fix for an installer related DLL hijacking vulnerability. This vulnerability made it necessary to deploy a newer NSIS version to create our .exe files. Please test that the installer is still working as expected if you happen to have a Windows machine.</p>

<p><strong>Known issues:</strong></p>

<ul>
<li>It seems there is a <a href="https://trac.torproject.org/projects/tor/ticket/18915" rel="nofollow">bug</a> regarding our search engine selection in non-en-US bundles. The search engines actually used are the ones contained in the respective language packs but not those we ship. There is no easy workaround for this short of disabling the language pack or adding the search engines one wants to have by hand. We are sorry for this inconvenience.
  </li>
<li>An other issue is an error "Unable to start tor" after upgrading from an older version, on Mac OS (<a href="https://trac.torproject.org/projects/tor/ticket/18928" rel="nofollow">Bug 18928</a>). Quitting and restarting a second time should fix the problem.
  </li>
<li>A third issue we found is the <a href="https://trac.torproject.org/projects/tor/ticket/18951" rel="nofollow">missing HTTPS-Everywhere</a> extension in Mac OS bundles after an update from previous Tor Browser versions. Workarounds are either installing HTTPS-Everywhere manually from <a href="https://www.eff.org/https-everywhere" rel="nofollow">EFF's website</a> or using a clean, new 6.0a5 Mac OS bundle.
  </li>
</ul>

<p>Here is the full changelog since 6.0a4:</p>

<p>Tor Browser 6.0a5 -- April 28 2016</p>

<ul>
<li>
 All Platforms
<ul>
<li>Update Firefox to 45.1.0esr</li>
<li>Update Tor to 0.2.8.2-alpha</li>
<li>Update Torbutton to 1.9.5.3
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18466" rel="nofollow">Bug 18466</a>: Make Torbutton compatible with Firefox ESR 45</li>
<li>Translation updates</li>
</ul>
</li>
<li>Update Tor Launcher to 0.2.9.1
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/13252" rel="nofollow">Bug 13252</a>: Do not store data in the application bundle</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/10534" rel="nofollow">Bug 10534</a>: Don't advertise the help desk directly anymore</li>
<li>Translation updates</li>
</ul>
</li>
<li>Update HTTPS-Everywhere to 5.1.6</li>
<li>Update NoScript to 2.9.0.11</li>
<li>Update meek to 0.22 (tag 0.22-18371-2)
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18371" rel="nofollow">Bug 18371</a>: Symlinks are incompatible with Gatekeeper signing</li>
</ul>
</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/15197" rel="nofollow">Bug 15197</a> and child tickets: Rebase Tor Browser patches to ESR 45</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18900" rel="nofollow">Bug 18900</a>: Fix broken updater on Linux</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18042" rel="nofollow">Bug 18042</a>: Disable SHA1 certificate support</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18821" rel="nofollow">Bug 18821</a>: Disable libmdns support for desktop and mobile</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18848" rel="nofollow">Bug 18848</a>: Disable additional welcome URL shown on first start</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/14970" rel="nofollow">Bug 14970</a>: Exempt our extensions from signing requirement</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/16328" rel="nofollow">Bug 16328</a>: Disable MediaDevices.enumerateDevices</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/16673" rel="nofollow">Bug 16673</a>: Disable HTTP Alternative-Services</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/17167" rel="nofollow">Bug 17167</a>: Disable Mozilla's tracking protection</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18603" rel="nofollow">Bug 18603</a>: Disable performance-based WebGL fingerprinting option</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18738" rel="nofollow">Bug 18738</a>: Disable Selfsupport and Unified Telemetry</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18799" rel="nofollow">Bug 18799</a>: Disable Network Tickler</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18800" rel="nofollow">Bug 18800</a>: Remove DNS lookup in lockfile code</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18801" rel="nofollow">Bug 18801</a>: Disable dom.push preferences</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18802" rel="nofollow">Bug 18802</a>: Remove the JS-based Flash VM (Shumway)</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18863" rel="nofollow">Bug 18863</a>: Disable MozTCPSocket explicitly</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/15640" rel="nofollow">Bug 15640</a>: Place Canvas MediaStream behind site permission</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/16326" rel="nofollow">Bug 16326</a>: Verify cache isolation for Request and Fetch APIs</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18741" rel="nofollow">Bug 18741</a>: Fix OCSP and favicon isolation for ESR 45</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/16998" rel="nofollow">Bug 16998</a>: Disable &lt;link rel="preconnect"&gt; for now</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18898" rel="nofollow">Bug 18898</a>: Exempt the meek extension from the signing requirement as well</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18899" rel="nofollow">Bug 18899</a>: Don't copy Torbutton, TorLauncher, etc. into meek profile</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18890" rel="nofollow">Bug 18890</a>: Test importScripts() for cache and network isolation</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18726" rel="nofollow">Bug 18726</a>: Add new default obfs4 bridge (GreenBelt)</li>
</ul>
</li>
<li>
 Windows
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/13419" rel="nofollow">Bug 13419</a>: Support ICU in Windows builds</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/16874" rel="nofollow">Bug 16874</a>: Fix broken <a href="https://sports.yahoo.com/dailyfantasy" rel="nofollow">https://sports.yahoo.com/dailyfantasy</a> page</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18767" rel="nofollow">Bug 18767</a>: Context menu is broken on Windows in ESR 45 based Tor Browser</li>
</ul>
</li>
<li>
 OS X
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/6540" rel="nofollow">Bug 6540</a>: Support OS X Gatekeeper</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/13252" rel="nofollow">Bug 13252</a>: Tor Browser should not store data in the application bundle</li>
</ul>
</li>
<li>
 Build System
<ul>
<li>All Platforms
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18127" rel="nofollow">Bug 18127</a>: Add LXC support for building with Debian guest VMs</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/16224" rel="nofollow">Bug 16224</a>: Don't use BUILD_HOSTNAME anymore in Firefox builds</li>
</ul>
</li>
<li>Windows
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/17895" rel="nofollow">Bug 17895</a>: Use NSIS 2.51 for installer to avoid DLL hijacking</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18290" rel="nofollow">Bug 18290</a>: Bump mingw-w64 commit we use</li>
</ul>
</li>
<li>OS X
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18331" rel="nofollow">Bug 18331</a>: Update toolchain for Firefox 45 ESR</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18690" rel="nofollow">Bug 18690</a>: Switch to Debian Wheezy guest VMs</li>
</ul>
</li>
<li>Linux
<ul>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18699" rel="nofollow">Bug 18699</a>: Stripping fails due to obsolete Browser/components directory</li>
<li><a href="https://trac.torproject.org/projects/tor/ticket/18698" rel="nofollow">Bug 18698</a>: Include libgconf2-dev for our Linux builds</li>
</ul>
</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-174468"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-174468" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 28, 2016</p>
    </div>
    <a href="#comment-174468">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-174468" class="permalink" rel="bookmark">hello . Good jobs
How can i </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hello . Good jobs</p>
<p>How can i  get New bridges?the E-mail address    has beenchanged?i am not  able to get new bridges by the current method  and e-mail address</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-174473"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-174473" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  boklm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">boklm said:</p>
      <p class="date-time">April 28, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-174468" class="permalink" rel="bookmark">hello . Good jobs
How can i </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-174473">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-174473" class="permalink" rel="bookmark">The email has not changed,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The email has not changed, it is still <a href="mailto:bridges@torproject.org" rel="nofollow">bridges@torproject.org</a>. You need to send the email from Riseup, Gmail or Yahoo.</p>
<p>You can also get bridges by visiting <a href="https://bridges.torproject.org/" rel="nofollow">https://bridges.torproject.org/</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-174488"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-174488" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 28, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to boklm</p>
    <a href="#comment-174488">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-174488" class="permalink" rel="bookmark">Still cannot get one. tried</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Still cannot get one. tried using information on main website still no reply.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-174785"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-174785" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 29, 2016</p>
    </div>
    <a href="#comment-174785">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-174785" class="permalink" rel="bookmark">Any change for 64bit Firefox</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Any change for 64bit Firefox now that we are on ESR 45?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-177272"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-177272" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">May 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-174785" class="permalink" rel="bookmark">Any change for 64bit Firefox</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-177272">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-177272" class="permalink" rel="bookmark">You mean for Windows? We</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You mean for Windows? We won't ship 64bit bundles for it in the ESR45 timeframe. But it is on our ToDo list. We might not get it done for ESR52 but for ESR59 it should be ready.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-174876"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-174876" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 30, 2016</p>
    </div>
    <a href="#comment-174876">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-174876" class="permalink" rel="bookmark">Haven&#039;t been able to use</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Haven't been able to use this software in a windows PE environment since the Vidalia days... always get the XPCOM error, every time.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-174983"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-174983" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 30, 2016</p>
    </div>
    <a href="#comment-174983">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-174983" class="permalink" rel="bookmark">BUG: the zoom level keeps</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>BUG: the zoom level keeps changing on websites without me changing it on my own. I have tried changing the zoom level back to default using CTRL+0, and also through the menu, which resets it, but it changes on its own after going to new links.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-177273"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-177273" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">May 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-174983" class="permalink" rel="bookmark">BUG: the zoom level keeps</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-177273">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-177273" class="permalink" rel="bookmark">Do you have steps to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Do you have steps to reproduce that for me? Ideally, those that show it worked for ESR38 based Tor Browsers but not for ESR45 ones.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-177429"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-177429" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to gk</p>
    <a href="#comment-177429">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-177429" class="permalink" rel="bookmark">bugzilla confirms that some</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>bugzilla confirms that some webpages force the ugly rectangle at the bottom on Win to disappear without resizing the window, so the only option for this is zoom. And yes, this happens on 38esr.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-178892"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-178892" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 10, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to gk</p>
    <a href="#comment-178892">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-178892" class="permalink" rel="bookmark">Not OP, but it always</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Not OP, but it always happens for me. Always 110%. Not in a stable release.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-178243"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-178243" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 06, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-174983" class="permalink" rel="bookmark">BUG: the zoom level keeps</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-178243">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-178243" class="permalink" rel="bookmark">Ditto. Ctrl+0 also reveals a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ditto. Ctrl+0 also reveals a nasty border between the edge of the window and the document. Similar to <a href="https://trac.torproject.org/projects/tor/ticket/14429#comment:22" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/14429#comment:22</a> but centred and not affecting the tab/urlbar.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-176886"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-176886" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 01, 2016</p>
    </div>
    <a href="#comment-176886">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-176886" class="permalink" rel="bookmark">How does browser choose</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How does browser choose bridge? If use obfs4 (recommended), see that always same bridge. New Tor Circuit, New Identity, diy close re open browser.....always same bridge. Should not be random? Always same bridge good or bad for anonymity?</p>
<p>Also why about:config have 11 almost same bridges? Meaning, 11 have IP address with same first 3 numbers. Should not have more variety?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-178893"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-178893" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 10, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-176886" class="permalink" rel="bookmark">How does browser choose</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-178893">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-178893" class="permalink" rel="bookmark">If I understand correctly,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If I understand correctly, your bridge should not change so often, just like a guard.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-176893"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-176893" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 01, 2016</p>
    </div>
    <a href="#comment-176893">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-176893" class="permalink" rel="bookmark">Also
Tor button show Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Also<br />
Tor button show Tor circuit:<br />
This browser<br />
Bridge: obfs4 (country)<br />
Country (IP address)</p>
<p>Why not show bridge IP? Need to use other software to see bridge IP.</p>
<p>Also thank you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-177343"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-177343" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 03, 2016</p>
    </div>
    <a href="#comment-177343">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-177343" class="permalink" rel="bookmark">US Law Change Allows Police</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>US Law Change Allows Police to Search PCs of Tor users</p>
<p><a href="https://www.eff.org/deeplinks/2016/04/rule-41-little-known-committee-proposes-grant-new-hacking-powers-government" rel="nofollow">https://www.eff.org/deeplinks/2016/04/rule-41-little-known-committee-pr…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-178345"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-178345" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2016</p>
    </div>
    <a href="#comment-178345">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-178345" class="permalink" rel="bookmark">Hi, is there any possibility</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi, is there any possibility for the following for the android client?<br />
Orbot should detect any connection to an unencrypted wifi network, block all other connection until it has connected to tor.<br />
Also should handle free wifi login screens the same time.</p>
<p>This would be just awesome. :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-179415"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-179415" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 14, 2016</p>
    </div>
    <a href="#comment-179415">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-179415" class="permalink" rel="bookmark">Where is tutorial how to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Where is tutorial how to compile Tor stable build under Windows?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-180229"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-180229" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">May 19, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-179415" class="permalink" rel="bookmark">Where is tutorial how to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-180229">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-180229" class="permalink" rel="bookmark">There is no one yet, alas.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There is no one yet, alas. There is still <a href="https://trac.torproject.org/projects/tor/ticket/13694" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/13694</a> which I did not get to, yet. The best we have is: <a href="https://trac.torproject.org/projects/tor/wiki/doc/TorBrowser/Hacking" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/TorBrowser/Hacking</a> pointing to our reproducible builds. Or you could take a look at the script driving the build: <a href="https://gitweb.torproject.org/builders/tor-browser-bundle.git/tree/gitian/descriptors/windows/gitian-tor.yml" rel="nofollow">https://gitweb.torproject.org/builders/tor-browser-bundle.git/tree/giti…</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
